package cd.casic.ci.commons.bean.process.definition;


import cd.casic.ci.commons.bean.process.setting.Env;
import cd.casic.ci.commons.bean.process.setting.Group;
import cd.casic.module.system.api.user.dto.AdminUserRespDTO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author by mianbin
 * @Classname Pipeline
 * @Description 流水线模型
 * @Date 2025/4/21 21:07
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class Pipeline {
    private String id;

    //流水线名称
    private String name;

    //流水线用户
    private AdminUserRespDTO adminUserRespDTO;


    //流水线环境
    private Env env;

    //流水线组
    private Group group;

    //流水线创建时间
    private String createTime;

    //流水线类型 1.多任务 2.多阶段
    private int type;

    //运行状态 1.未运行 2.运行中
    private int state;

    //1.全局 2.项目
    private int power;

    //流水线模板
    private String template;

    //收藏 0.未收藏 1.收藏
    private int collect;

    //流水线成员
    private List<AdminUserRespDTO> userList;

    // 以下为统计信息
    //用户(执行人)
    private String executorName;

    //执行次数
    private Integer number;

    //实例id
    private String instanceId;

    //最近构建状态
    private String buildStatus;

    //最近构建时间
    private String lastBuildTime;

    //是否可以执行
    private Boolean isExec;
    /**
     * @pi.name:color
     * @pi.dataType:Integer
     * @pi.desc:颜色 1~5随机生成
     * @pi.value:2
     */
    private int color;

    public Pipeline(String pipelineId) {
        this.id = pipelineId;
    }
}
