package cd.casic.module.machine.configuration;

import cd.casic.module.machine.exception.ServiceException;
import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;

import lombok.Getter;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

//@Configuration
@Getter
public class AliYunConfig {
    private static final Logger logger = LoggerFactory.getLogger(AliYunConfig.class);
    @Value("${aliyun.oss.endpoint}")
    private String endpoint;
    @Value("${aliyun.oss.accessKeyId}")
    private String accessKeyId;
    @Value("${aliyun.oss.accessKeySecret}")
    private String accessKeySecret;
    @Value("${aliyun.oss.bucketName}")
    private String bucketName;

//    @Bean
    public OSS ossClient() {
        logger.info("OSS域名: {}", endpoint);
        logger.info("AccessKeyId: {}", accessKeyId);

        // 添加参数校验
        if (endpoint == null || accessKeyId == null || accessKeySecret == null) {
            throw new ServiceException(ServiceException.OSS_PARAM_NULL,"OSS参数为空");
        }

        return new OSSClientBuilder().build(endpoint, accessKeyId, accessKeySecret);
    }
}
