package cd.casic.module.machine.dto;

import lombok.*;

import java.io.Serializable;
import java.util.Date;

/**
 * 环境变量数据传输对象
 */

@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MachineEnvDTO extends PageDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    private String envKey;
    private String envValue;
    private Integer sensitive;//(1敏感，0不敏感)
    private String description;
    private Long machineId;
    private Date createDate;
    private Date updateDate;
    private String sortField;
    private String sortDirection;


    /**
     * 获取脱敏后的环境变量值
     */
    public String getMaskedValue() {
        if (sensitive==1 || envValue == null) {
            return envValue;
        }
        int length = envValue.length();
        if (length <= 4) {
            return "****";
        } else {
            return envValue.substring(0, 2) + "****" + envValue.substring(length - 2);
        }
    }
}
