package cd.casic.module.machine.entity;
import com.baomidou.mybatisplus.annotation.*;
import cd.casic.module.machine.enums.MachineInfoStatus;
import cd.casic.module.machine.enums.MachineProxyType;
import lombok.*;

import java.io.Serializable;
import java.util.Date;

/**
 * 机器代理实体类
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("machine_proxy")
public class MachineProxy extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    private String hostIp;

    private String sshPort;

    /**
     * 代理类型
     */
    @TableField(exist = false)
    private MachineProxyType proxyType;

    private int proxyTypeCode;

    /**
     * 代理版本
     */
    private String version;

    /**
     * 代理状态 (online, offline, installing, updating, error)
     */
    @TableField(exist = false)
    private MachineInfoStatus status;


    private int statusCode;

    /**
     * 最后心跳时间
     */
    private Date lastHeartbeatTime;

    /**
     * 代理配置 (JSON格式)
     */
    private String config;

    /**
     * 描述信息
     */
    private String description;



}
