package cd.casic.module.machine.exception;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 业务逻辑异常 Exception
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ServiceException extends RuntimeException {
    //机器信息为空
    public static final int MACHINE_INFO_NULL = 555;
    //上传文件失败
    public static final int UPLOADING_FILE_FAIL = 556;
    //下载失败
    public static final int DOWNLOAD_FILE_FAIL = 557;
    //文件名为空
    public static final int FILENAME_NULL = 558;
    //读取文件失败
    public static final int READ_FILE_FAIL = 559;
    //删除文件失败
    public static final int DELETE_FILE_FAIL = 560;
    //MachineProxyDTO对象为空
    public static final int MACHINE_PROXY_DTO_NULL = 561;
    //MachineProxy代理不存在
    public static final int MACHINE_PROXY_NULL = 562;
    //参数错误
    public static final int PARAMETER_ERROR = 563;
    //机器环境变量为空
    public static final int MACHINE_ENV_NULL = 564;
    //机器环境变量键不合法
    public static final int MACHINE_ENV_KEY_ILLEGAL = 565;
    //oss参数无法读取
    public static final int OSS_PARAM_NULL = 1001;

    /**
     * 业务错误码
     * 区间
     * machine-management-module模块(555-1000)
     * common-module模块(1001-2000)
     */
    private Integer code;
    /**
     * 错误提示
     */
    private String message;
}
