package cd.casic.module.machine.service;
import cd.casic.module.machine.dto.MachineProxyDTO;
import cd.casic.module.machine.entity.MachineProxy;
import cd.casic.module.machine.utils.PageResult;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 机器代理服务接口
 */
public interface MachineProxyService extends IService<MachineProxy> {
    /**
     * 注册新的机器代理
     */
    boolean register(MachineProxyDTO machineProxyDTO);

    /**
     * 更新代理状态
     */
    boolean updateStatus(MachineProxyDTO machineProxyDTO);



    /**
     * 获取所有代理的状态统计
     *
     * @return 状态统计Map
     */
    Map<String, Long> getStatusStatistics();

    /**
     * 更新代理配置
     */
    void updateConfig(MachineProxyDTO machineProxyDTO);



    /**
     * 批量删除代理
     * @param proxyIds 代理ID列表
     */
    void delete(List<Long> proxyIds);

    PageResult<MachineProxyDTO> list(MachineProxyDTO machineProxyDTO);
}
