package cd.casic.module.machine.service;

import cd.casic.module.machine.entity.SecretKey;
import cd.casic.module.machine.dto.SecretKeyDto;
import cd.casic.module.machine.utils.PageResult;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.core.io.InputStreamResource;
import org.springframework.http.ResponseEntity;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface SecretKeyService extends IService<SecretKey> {
    boolean addSecretKey(SecretKeyDto secretKeyDto, MultipartFile file);

    void bindingMachine(Long secretKeyId, List<Long> machineInfoIds);

    boolean updateSecretKey(SecretKeyDto secretKeyDto,MultipartFile file);

    boolean deleteSecretKey(Long secretKeyId);

    PageResult<SecretKey> listSecretKey(SecretKeyDto secretKeyDto);

    ResponseEntity<InputStreamResource> downloadSecretKeyFile(Long secretKeyId);

    boolean deleteList(List<Long> secretKeyIds);
}

