package cd.casic.module.process.process.setting;

import cd.casic.ci.commons.bean.process.setting.Auth;

import java.util.List;

/**
 * 流水线基本认证服务接口
 */
public interface AuthService {

    /**
     * 创建流水线基本认证
     *
     * @param auth 流水线基本认证
     * @return 流水线基本认证id
     */
    int createAuth(Auth auth);

    /**
     * 删除流水线基本认证
     *
     * @param authId 流水线基本认证id
     */
    void deleteAuth(String authId);

    /**
     * 更新基本认证信息
     *
     * @param auth 信息
     */
    void updateAuth(Auth auth);

    /**
     * 查询基本认证信息
     *
     * @param authId id
     * @return 信息
     */
    Auth findOneAuth(String authId);


    /**
     * 查询所有流水线基本认证
     *
     * @return 流水线基本认证列表
     */
    List<Auth> findAllAuth();

    /**
     * 根据ID列表批量查询流水线基本认证
     *
     * @param idList 流水线基本认证ID列表
     * @return 流水线基本认证列表
     */
    List<Auth> findAllAuthList(List<String> idList);

    /**
     * 查询流水线基本认证数量
     *
     * @return 流水线基本认证数量
     */
    Long findAuthNumber();

}
