package cd.casic.module.process.task.build.service.impl;


/**
 * @ClassName TaskArtifactXpackServiceImpl
 * @Author hopeli
 * @Date 2025/5/2 19:35
 * @Version 1.0
 */

import cd.casic.ci.commons.annotation.rpc.Exporter;
import cd.casic.module.process.task.build.dao.TaskBuildProductDao;
import cd.casic.module.process.task.build.dataobject.TaskBuildProductDo;
import cd.casic.module.process.task.build.model.TaskBuildProduct;
import cd.casic.module.process.task.build.model.TaskBuildProductQuery;
import cd.casic.module.process.task.build.service.TaskBuildProductService;
import cd.casic.module.process.toolkit.beans.BeanMapper;
import com.alibaba.fastjson.JSONObject;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

@Service
@Exporter
public class TaskBuildProductServiceImpl implements TaskBuildProductService {

    @Resource
    TaskBuildProductDao taskBuildProductDao;


    @Override
    public String createBuildProduct(TaskBuildProduct taskBuildProduct) {
        TaskBuildProductDo taskBuildProductDo = BeanMapper.map(taskBuildProduct, TaskBuildProductDo.class);
        return taskBuildProductDao.createBuildProduct(taskBuildProductDo);
    }

    @Override
    public void updateBuildProduct(TaskBuildProduct taskBuildProduct) {
        TaskBuildProductDo taskBuildProductDo = BeanMapper.map(taskBuildProduct, TaskBuildProductDo.class);
        taskBuildProductDao.updateBuildProduct(taskBuildProductDo);
    }

    @Override
    public void deleteBuildProduct(String id) {
        taskBuildProductDao.deleteBuildProduct(id);
    }

    @Override
    public TaskBuildProduct findOneBuildProduct(String id) {
        TaskBuildProductDo buildProductEntity = taskBuildProductDao.findOneBuildProduct(id);
        return BeanMapper.map(buildProductEntity, TaskBuildProduct.class);
    }

    @Override
    public List<TaskBuildProduct> findAllBuildProduct() {
        List<TaskBuildProductDo> allBuildProduct = taskBuildProductDao.findAllBuildProduct();
        if (allBuildProduct == null || allBuildProduct.isEmpty()){
            return Collections.emptyList();
        }
        return BeanMapper.mapList(allBuildProduct, TaskBuildProduct.class);
    }

    @Override
    public List<TaskBuildProduct> findBuildProductList(TaskBuildProductQuery taskBuildProductQuery) {
        List<TaskBuildProductDo> allBuildProduct = taskBuildProductDao.findBuildProductList(taskBuildProductQuery);
        if (allBuildProduct == null || allBuildProduct.isEmpty()){
            return Collections.emptyList();
        }
        return BeanMapper.mapList(allBuildProduct, TaskBuildProduct.class);
    }


    @Override
    public String replace(String instanceId,String strings){
        TaskBuildProductQuery taskBuildProductQuery = new TaskBuildProductQuery();
        taskBuildProductQuery.setInstanceId(instanceId);
        List<TaskBuildProduct> buildProductList = findBuildProductList(taskBuildProductQuery);

        if (buildProductList.isEmpty()){
            return strings;
        }

        for (TaskBuildProduct taskBuildProduct : buildProductList) {

            LinkedHashMap<String,Object> linkedHashMap = JSONObject.parseObject(taskBuildProduct.getValue(), LinkedHashMap.class);
            for (Map.Entry<String, Object> entry : linkedHashMap.entrySet()) {
                String value = (String)entry.getValue();
                String key = entry.getKey();
                strings = strings.replaceAll("\\$\\{" + key  + "}",value);
                strings = strings.replaceAll(key,value);
            }
        }
        return strings;
    }


}
