package cd.casic.module.process.task.codescan.dao;

/**
 * @ClassName TaskArtifactXpackServiceImpl
 * @Author hopeli
 * @Date 2025/5/3 20:15
 * @Version 1.0
 */


import cd.casic.ci.commons.bean.commons.Pagination;
import cd.casic.framework.commons.pojo.PageResult;
import cd.casic.module.process.task.code.jpa.JpaTemplate;
import cd.casic.module.process.task.codescan.dataobject.SpotbugsScanEntity;
import cd.casic.module.process.task.codescan.model.SpotbugsBugQuery;
import cd.casic.module.process.task.codescan.model.SpotbugsBugSummary;
import cd.casic.module.process.toolkit.beans.BeanMapper;
import jakarta.annotation.Resource;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.Collections;
import java.util.List;
import java.util.Objects;

/**
 * Spotbugs代码扫描数据操作
 * @author zcamy
 */
@Repository
public class SpotbugsScanDao {
    
    
    @Resource
    JpaTemplate jpaTemplate;
    
    public String creatSpotbugs(SpotbugsBugSummary bugSummary) {
        SpotbugsScanEntity scanEntity = BeanMapper.map(bugSummary, SpotbugsScanEntity.class);
        return jpaTemplate.save(scanEntity,String.class);
    }

    public void updateSpotbugs(SpotbugsBugSummary bugSummary) {
        SpotbugsScanEntity scanEntity = BeanMapper.map(bugSummary, SpotbugsScanEntity.class);
        jpaTemplate.update(scanEntity);
    }

    
    public void deleteSpotbugs(String bugId) {
        jpaTemplate.delete(SpotbugsScanEntity.class,bugId);
    }

    
    public SpotbugsBugSummary findOneSpotbugs(String bugId) {
        SpotbugsScanEntity scanEntity = jpaTemplate.findOne(SpotbugsScanEntity.class, bugId);

        return BeanMapper.map(scanEntity,SpotbugsBugSummary.class);
    }

    
    public List<SpotbugsBugSummary> findAllSpotbugs() {
        List<SpotbugsScanEntity> scanEntityList = jpaTemplate.findAll(SpotbugsScanEntity.class);
        if (scanEntityList == null || scanEntityList.isEmpty()){
            return Collections.emptyList();
        }
        return BeanMapper.mapList(scanEntityList,SpotbugsBugSummary.class);
    }

    
    public List<SpotbugsBugSummary> findSpotbugsList(SpotbugsBugQuery bugQuery) {
        return BeanMapper.mapList(null,SpotbugsBugSummary.class);
    }

    public PageResult<SpotbugsBugSummary> findSpotbugsPage(SpotbugsBugQuery bugQuery) {
        return null;
    }
    
}
